Subject: Re: bug#54133: 29.0.50; Buffer-menu-visit-tags-table disrupts non-tags buffers

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Feb 2022 22:00:30 +0200

> From: Bob Rogers <[email-masked]>
> Date: Thu, 24 Feb 2022 13:02:40 -0500
> CC: [email-masked]
> 
>    Maybe we should have a more thorough implementation in
>    etags-verify-tags-table, then.  But that function's purpose is to do
>    what we need here.
> 
> That would require disentangling detection and initialization.  Which
> shouldn't be all that hard; it just seemed like more work than necessary
> to scratch this particular itch.
> 
>    > In short, I thought checking the major mode was the better choice,
>    > since the file was already present in a buffer.
> 
>    But what if the file is already in a buffer, but not under the right
>    major-mode?  E.g., what if the file was visited literally?
> 
> Ah, so you mean that Buffer-menu-visit-tags-table is normally meant to
> introduce tags-table-mode in buffers not already there.  I see now that
> is implied by "Visit the tags table ..." in the command documentation.
> In which case I withdraw my reservations.

Thanks, I installed the changes, and I'm marking this bug done.

>    And maybe I'll have a look at cleaning up etags initialization when I
> get a chance . . .

TIA.